diff -ruN wxhaskell-0.9.4.orig/configure wxhaskell-0.9.4/configure
--- wxhaskell-0.9.4.orig/configure	Mon May  2 17:10:10 2005
+++ wxhaskell-0.9.4/configure	Fri Sep 15 19:13:09 2006
@@ -855,7 +855,7 @@
 	Graphics.UI.WXCore.WxcClassesMZ
 hs-libraries:wxcore,wxcore0,wxcore1,wxcore2
 extra-libraries:${wxclibname}-${binversion}
-depends: base,lang,haskell98,concurrent
+depends: base,haskell98
 extra-ld-opts:$extraldopts
 EOF
 cp -f config/wxcore-partial.pkg config/wxcore.pkg
diff -ruN wxhaskell-0.9.4.orig/makefile wxhaskell-0.9.4/makefile
--- wxhaskell-0.9.4.orig/makefile	Sun May  8 08:45:24 2005
+++ wxhaskell-0.9.4/makefile	Sat Oct 14 18:27:07 2006
@@ -25,6 +25,7 @@
 	@echo " install-files   install, but do not register with the Haskell compiler"
 	@echo ""
 	@echo "distribution:"
+	@echo " before-dist     uninstall wxcore files, and make wxcore again"
 	@echo " dist            make a source, documentation, and binary distribution"
 	@echo " srcdist         make a source distribution (as a .zip file)"
 	@echo " docdist         make a documentation and samples zip file"
@@ -311,6 +312,8 @@
 BINDIST-DLLDIR  =$(BINDIST-OUTDIR)/$(WXHASKELLVER)/lib
 BINDIST-BINDIR  =$(BINDIST-OUTDIR)/$(WXHASKELLVER)/bin
 
+before-dist: wxcore-unregister wxcore-uninstall-files wxcore
+
 # full distribution
 dist: dist-dirs all srcdist bindist docdist
 
@@ -332,7 +335,7 @@
 	-@$(call safe-remove-file,$(DIST-SRC))
 
 # generic binary distribution as a zip
-bindist: all bindist-clean dist-dirs wxc-bindist wxcore-bindist wx-bindist docdist
+bindist: bindist-clean dist-dirs wxc-bindist wxcore-bindist wx-bindist docdist
 	@$(call cp-bindist,config,$(BINDIST-BINDIR),config/wxcore.pkg config/wx.pkg)
 ifeq ($(TOOLKIT),msw)
 ifeq ($(GHCOLD),no)
@@ -471,7 +474,7 @@
 
 WXCORE-BINS	=$(WXCORE-HIS) $(WXCORE-LIBS)
 WXCORE-DOCS	=$(filter-out $(WXCORE-SRCDIR)/$(WXCORE-HPATH)/IntMap.hs,$(WXCORE-HS))
-WXCORE-HCFLAGS	=$(HCFLAGS) -fvia-C -package-name $(WXCORE)
+WXCORE-HCFLAGS	=$(HCFLAGS) -fvia-C -package-name $(WXCORE)-$(VERSION)
 
 
 # build main library
@@ -580,12 +583,12 @@
 WX-HS		=$(call make-hs,   $(WX-SRCDIR),     $(WX-SOURCES))
 WX-DOCS		=$(WX-HS)
 WX-BINS		=$(WX-HIS) $(WX-LIBS)
-WX-HCFLAGS	=$(HCFLAGS) -fvia-C -package-name $(WX)
+WX-HCFLAGS	=$(HCFLAGS) -fvia-C -package-name $(WX)-$(VERSION) -package $(WXCORE)-$(VERSION)
 
 WX-HSDIRS	=-i$(WX-SRCDIR) $(WXCORE-HSDIRS) 
 
 # build main library
-wx: wxcore wx-dirs $(WX-LIBS)
+wx: wxcore wxcore-install-files wxcore-register wxcore-clean wx-dirs $(WX-LIBS)
 
 wx-dirs:
 	@$(call ensure-dirs-of-files,$(WX-OBJS))
@@ -598,7 +601,7 @@
 	@$(call cp-srcdist, $^)
 
 # bindist
-wx-bindist: wx
+wx-bindist: 
 	@$(call cp-bindist,$(WX-OUTDIR),$(BINDIST-LIBDIR),$(WX-BINS))
 
 # install
